%define rbname evas
%define version 0.0.0
%define release 0.svn346.1mdk

Summary: Ruby binding for evas
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Other
License: MIT
URL: http://code-monkey.de/projects/ruby-efl.html
Source0: %{name}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: evas-devel 
BuildRequires: ruby-rake

%package devel
Summary: Ruby binding for evas - developpment files
Group: Development/Other

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
This is a Ruby binding for evas.

Status :
 The main API is in a good shape.
 Support for image objects is still lacking some important bits.

%description devel
This package contains files needed to build objects linked on ruby-evas

%prep
%setup -q -n %{name}

%build
rake 

%install
mkdir -p %{buildroot}%{ruby_archdir}
DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{ruby_archdir}/*.so

%files devel
%defattr(-, root, root)
%{ruby_archdir}/%{rbname}

%changelog
* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.1mdk
- First version of the package 
